﻿.button:not(.hover-disabled):hover {
    width: 110%;
    transition-duration: .25s;
}

.button {
    position: relative;
    overflow: hidden;
    border: 2px solid #18181a;
    color: white;
    display: inline-block;
    width: 100px;
    font-size: 15px;
    line-height: 15px;
    padding: 10px;
    text-decoration: none;
    cursor: pointer;
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
    transition-duration: .25s;
    background-color: var(--primary-color);
} 

.button span:first-child { 
    position: relative; 
    transition: color 600ms cubic-bezier(0.48, 0, 0.12, 1); 
    z-index: 10; 
} 

.button span:last-child { 
    color: white; 
    display: block; 
    position: absolute; 
    bottom: 0; 
    transition: all 500ms cubic-bezier(0.48, 0, 0.12, 1); 
    z-index: 100; 
    opacity: 0; 
    top: 75%; 
    left: 50%; 
    width: max-content; 
    transform: translateY(225%) translateX(-50%); 
    height: 14px; 
    line-height: 13px; 
} 

.button:after {
    content: "";
    position: absolute;
    bottom: -50%;
    left: 0;
    width: 100%;
    height: 100%;
    color:var(--primary-color);
    background-color: var(--tertiary-color);
    transform-origin: bottom center;
    transition: transform 600ms cubic-bezier(0.48, 0, 0.12, 1);
    transform: skewY(9.3deg) scaleY(0);
    z-index: 50;
} 

.button:not(.hover-disabled):hover:after { 
    transform-origin: bottom center; 
    transform: skewY(9.3deg) scaleY(2); 
} 

.button:not(.hover-disabled):hover span:last-child { 
    transform: translateX(-50%) translateY(-100%); 
    opacity: 1; 
    transition: all 900ms cubic-bezier(0.48, 0, 0.12, 1); 
}

.button:disabled {
    background-color: dimgray;
    color: gray;
}